Status: Closed   

Priority: Normal   

Assignee: Daniel Lobato Garcia   

Category: Rails   

Target version: 1.10.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/2728

  

Description

Rails 4 does not figure out these associations automatically and it won't find the tables. Instead, we have to specify join tables for

habtm associations. This is a Rails 3 compatible change.

Related issues:

Related to Foreman - Tracker #3157: Rails 4.1 upgrade tasks Closed 09/27/2013

Associated revisions

Revision 741bd717 - 09/17/2015 02:21 AM - Daniel Lobato Garcia

Fixes #11846 - Specify join_table and foreign keys for habtm associations

Rails 4 does not figure out these associations automatically and it

won't find the tables. Instead, we have to specify join tables for habtm

associations. This is a Rails 3 compatible change.

Revision ee99bfba - 09/24/2015 03:16 AM - Daniel Lobato Garcia

Refs #11846 - Specify join_tables for taxonomies

Missed this as part of the previous fix for 11846. As a brief reminder,

it's necessary to specify the join table for habtm associations on Rails

4, and it doesn't hurt on Rails 3, so we should do it before the upgrade.

History

#1 - 09/16/2015 07:14 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/2728 added

- Pull request deleted ()

#2 - 09/17/2015 03:02 AM - Daniel Lobato Garcia

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 741bd717f19ffd6326b11c611df2848cd685961a.

#3 - 09/17/2015 03:04 AM - Ohad Levy

- translation missing: en.field_release set to 63

#4 - 09/17/2015 03:04 AM - Ohad Levy

- Related to Tracker #3157: Rails 4.1 upgrade tasks added

#5 - 09/17/2015 03:07 AM - Dominic Cleal
https://projects.theforeman.org/projects/foreman/repository/foreman/revisions/741bd717f19ffd6326b11c611df2848cd685961a


- Category set to Rails

- Assignee set to Daniel Lobato Garcia
